%define upstream_name	 YAML-AppConfig
%define upstream_version 0.16

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 4

Summary: 	Manage configuration files with YAML and variable reference
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:     YAML-AppConfig-0.16-fix-warning.patch
Requires:	    perl-YAML-parser
BuildRequires:	perl-YAML-parser
BuildArch:      noarch

%description
YAML::AppConfig extends the work done in Config::YAML and YAML::ConfigFile to
allow more flexiable configuration files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc META.yml
%{_mandir}/*/*
%{perl_vendorlib}/YAML


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-4.mga3
+ Revision: 375299
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 guillomovitch <guillomovitch> 0.160.0-3.mga2
+ Revision: 172218
- fix warnings (cpan bug #65539)

* Sat Jan 22 2011 jquelin <jquelin> 0.160.0-2.mga1
+ Revision: 32788
- mageia rebuild
- imported package perl-YAML-AppConfig

